UnknownHostException (Java SE 25 & JDK 25)
Description: declaration: module: java.rmi, package: java.rmi, class: UnknownHostException
Keywords: java.rmi.UnknownHostException class

# Class UnknownHostException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.rmi.RemoteException
java.rmi.UnknownHostException

All Implemented Interfaces:
  `Serializable`

public class UnknownHostException extends RemoteException
An `UnknownHostException` is thrown if a `java.net.UnknownHostException` occurs while creating a connection to the remote host for a remote method call.

Since:
  1.1
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields declared in class RemoteException

  `detail`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnknownHostException(String s)`
  Constructs an `UnknownHostException` with the specified detail message.
  `UnknownHostException(String s, Exception ex)`
  Constructs an `UnknownHostException` with the specified detail message and nested exception.

- ## Method Summary

  ### Methods declared in class RemoteException

  `getCause, getMessage`

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UnknownHostException

    public UnknownHostException(String s)
    Constructs an `UnknownHostException` with the specified detail message.
    Parameters:
      `s` - the detail message
    Since:
      1.1

  - ### UnknownHostException

    public UnknownHostException(String s, Exception ex)
    Constructs an `UnknownHostException` with the specified detail message and nested exception.
    Parameters:
      `s` - the detail message
      `ex` - the nested exception
    Since:
      1.1